Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.pkcs11impl.provider
Class PKCS11DSAKeyPairParameterSpec

    java.lang.Object
      com.ibm.crypto.pkcs11impl.provider.PKCS11DSAKeyPairParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

    public class PKCS11DSAKeyPairParameterSpec

extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class specifies a PKCS11 DSA PKCS key pair generation specification

Constructor Summary
`PKCS11DSAKeyPairParameterSpec(int keySize, java.lang.String keyIdentifier, java.lang.String subject, java.lang.String label, java.security.spec.AlgorithmParameterSpec params)` PKCS11DSAKeyPairParameterSpec defines the attributes of the keys, but defaults the keys to not be saved on the token and keys not sensitive.
`PKCS11DSAKeyPairParameterSpec(int keySize, java.lang.String id, java.lang.String subject, java.lang.String label, java.lang.Boolean isToken, java.lang.Boolean isSensitive, java.lang.Boolean extractable, java.security.spec.AlgorithmParameterSpec params)` PKCS11DSAKeyPairParameterSpec defines the attributes of the keys.

Method Summary
`java.lang.Boolean` | `getExtractable()` Returns the if the private key can be wrapped by another key.
`java.lang.String` | `getKeyID()` Returns the associated key identifier.
`int` | `getKeySize()` Returns the keySize
`java.lang.String` | `getLabel()` Returns the label for the key pair.
`java.security.spec.AlgorithmParameterSpec` | `getParams()` Returns the params
`java.lang.Boolean` | `getSensitive()` Returns if the private key is to be sensitive.
`java.lang.String` | `getSubject()` Returns the subject for the key pair.
`java.lang.Boolean` | `getToken()` Returns the if the the keys are session or token keys.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKCS11DSAKeyPairParameterSpec

    public PKCS11DSAKeyPairParameterSpec(int keySize,
                                         java.lang.String id,
                                         java.lang.String subject,
                                         java.lang.String label,
                                         java.lang.Boolean isToken,
                                         java.lang.Boolean isSensitive,
                                         java.lang.Boolean extractable,
                                         java.security.spec.AlgorithmParameterSpec params)

  PKCS11DSAKeyPairParameterSpec defines the attributes of the keys.

  Parameters:
    `keySize` - the key size
    `keyIdentifier` - the data that identifies this key pair for another key pair.
    `subject` - the subject of the keys that will be associated with a corresponding certificate
    `label` - to describe the keys.
    `isToken` - is set to True if the key pair is to be saved on the token
    `isSensitive` - is set to True if the private key is sensitive
    `extractable` - is set to True to allow the private key to be wrapped with another key.
    `params` - the DSA AlgorithmParameterSpec

### PKCS11DSAKeyPairParameterSpec

    public PKCS11DSAKeyPairParameterSpec(int keySize,
                                         java.lang.String keyIdentifier,
                                         java.lang.String subject,
                                         java.lang.String label,
                                         java.security.spec.AlgorithmParameterSpec params)

  PKCS11DSAKeyPairParameterSpec defines the attributes of the keys, but defaults the keys to not be saved on the token and keys not sensitive.

  Parameters:
    `keySize` - the key size
    `keyIdentifier` - the data that identifies this key pair for another key pair.
    `subject` - the subject of the keys that will be associated with a corresponding certificate
    `label` - to describe the keys.
    `params` - the DSA AlgorithmParameterSpec

Method Detail

### getKeySize

    public int getKeySize()

  Returns the keySize

  Returns:
    the keySize

### getKeyID

    public java.lang.String getKeyID()

  Returns the associated key identifier.

  Returns:
    the key identifier

### getSubject

    public java.lang.String getSubject()

  Returns the subject for the key pair.

  Returns:
    the subject

### getLabel

    public java.lang.String getLabel()

  Returns the label for the key pair.

  Returns:
    the label

### getSensitive

    public java.lang.Boolean getSensitive()

  Returns if the private key is to be sensitive.

  Returns:
    true if the private key is to sensitive, null if not specified.

### getToken

    public java.lang.Boolean getToken()

  Returns the if the the keys are session or token keys.

  Returns:
    true if keys are token keys, null if not specified.

### getExtractable

    public java.lang.Boolean getExtractable()

  Returns the if the private key can be wrapped by another key.

  Returns:
    true if the private key can be wrapped by another key, null if not specified.

### getParams

    public java.security.spec.AlgorithmParameterSpec getParams()

  Returns the params

  Returns:
    the params

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD